/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/

/*********************************************************************

Include files

*********************************************************************/
#include "main.h"
#include "system.h"

/*
	Function: void InitMDMA1_CH0(char*, char*)
	
	Description: Initialize MDMA source and destination channels
*/

void InitMDMA1_CH0(char * buffer1, char * L1bufferA)
{ 
	// configure MDMA2 for Source - not enabled yet
	*pMDMA1_S0_CONFIG =  0x1010 | WD_SIZE;
	*pMDMA1_S0_START_ADDR = buffer1;
	*pMDMA1_S0_X_COUNT = MDMA_XCOUNT;
	*pMDMA1_S0_Y_COUNT = MDMA_YCOUNT;
	*pMDMA1_S0_X_MODIFY = TRANSFER_LENGTH;	
	*pMDMA1_S0_Y_MODIFY = TRANSFER_LENGTH;
	ssync();

	// configure MDMA2 for Desitnation - not enabled yet
	*pMDMA1_D0_CONFIG = 0x1092 |WD_SIZE;
	*pMDMA1_D0_START_ADDR = L1bufferA;
	*pMDMA1_D0_X_COUNT = MDMA_XCOUNT;
	*pMDMA1_D0_Y_COUNT = MDMA_YCOUNT;
	*pMDMA1_D0_X_MODIFY = TRANSFER_LENGTH;		
	*pMDMA1_D0_Y_MODIFY = TRANSFER_LENGTH;
	ssync();
}
/*
	Function: void InitMDMA1_CH1(char*, char*)
	
	Description: Initialize MDMA source and destination channels
*/
void InitMDMA1_CH1(char * buffer1, char * L1bufferA)
{ 
	// configure MDMA2 for Source - not enabled yet
	*pMDMA1_S1_CONFIG =  0x1010 |WD_SIZE;
	*pMDMA1_S1_START_ADDR = buffer1;
	*pMDMA1_S1_X_COUNT = MDMA_XCOUNT;
	*pMDMA1_S1_Y_COUNT = MDMA_YCOUNT;
	*pMDMA1_S1_X_MODIFY = TRANSFER_LENGTH;	
	*pMDMA1_S1_Y_MODIFY = TRANSFER_LENGTH;
	ssync();

	// configure MDMA2 for Desitnation - not enabled yet
	*pMDMA1_D1_CONFIG = 0x1092 | WD_SIZE;
	*pMDMA1_D1_START_ADDR = L1bufferA;
	*pMDMA1_D1_X_COUNT = MDMA_XCOUNT;
	*pMDMA1_D1_Y_COUNT =MDMA_YCOUNT;
	*pMDMA1_D1_X_MODIFY = TRANSFER_LENGTH;		
	*pMDMA1_D1_Y_MODIFY = TRANSFER_LENGTH;
	ssync();
}

/*
	Function: void InitMDMA2_CH0(char*, char*)
	
	Description: Initialize MDMA source and destination channels
*/

void InitMDMA2_CH0(char * buffer1, char * L1bufferA)
{ 
	// configure MDMA2 for Source - not enabled yet
	*pMDMA2_S0_CONFIG =  0x1010 | WD_SIZE;
	*pMDMA2_S0_START_ADDR = buffer1;
	*pMDMA2_S0_X_COUNT = MDMA_XCOUNT;
	*pMDMA2_S0_Y_COUNT = MDMA_YCOUNT;
	*pMDMA2_S0_X_MODIFY = TRANSFER_LENGTH;	
	*pMDMA2_S0_Y_MODIFY = TRANSFER_LENGTH;
	ssync();

	// configure MDMA2 for Desitnation - not enabled yet
	*pMDMA2_D0_CONFIG = 0x1092| WD_SIZE;
	*pMDMA2_D0_START_ADDR = L1bufferA;
	*pMDMA2_D0_X_COUNT = MDMA_XCOUNT;
	*pMDMA2_D0_Y_COUNT = MDMA_YCOUNT;
	*pMDMA2_D0_X_MODIFY = TRANSFER_LENGTH;		
	*pMDMA2_D0_Y_MODIFY = TRANSFER_LENGTH;
	ssync();
}

/*
	Function: void InitMDMA2_CH1(char*, char*)
	
	Description: Initialize MDMA source and destination channels
*/
void InitMDMA2_CH1(char * buffer1, char * L1bufferA)
{ 
	// configure MDMA2 for Source - not enabled yet
	*pMDMA2_S1_CONFIG =  0x1010| WD_SIZE;
	*pMDMA2_S1_START_ADDR = buffer1;
	*pMDMA2_S1_X_COUNT = MDMA_XCOUNT;
	*pMDMA2_S1_Y_COUNT = MDMA_YCOUNT;
	*pMDMA2_S1_X_MODIFY = TRANSFER_LENGTH;	
	*pMDMA2_S1_Y_MODIFY = TRANSFER_LENGTH;
	ssync();

	// configure MDMA2 for Desitnation - not enabled yet
	*pMDMA2_D1_CONFIG = 0x1092| WD_SIZE;
	*pMDMA2_D1_START_ADDR = L1bufferA;
	*pMDMA2_D1_X_COUNT = MDMA_XCOUNT;
	*pMDMA2_D1_Y_COUNT = MDMA_YCOUNT;
	*pMDMA2_D1_X_MODIFY = TRANSFER_LENGTH;		
	*pMDMA2_D1_Y_MODIFY = TRANSFER_LENGTH;
	ssync();
}
